1.0.0OAS 3.1

Provides configuration for rates used by Zinnia calculations

API Base URL
  • Server 1:https://dev.api.zinnia.io

    Development

Security
Auth0 (openIdConnect)

OpenId Connect authentication

Additional Information
Contact Calculation Services Team (LPS) (dale.clements@zinnia.com)

Notification

Handles notifications incoming notifications from other systems

Notify RCS that a new product or product configuration version is available.

Tells the service a new product or product configuration version is available so it can pick it up.

post
https://dev.api.zinnia.io/rate-configuration/v1/notification/new-product-configuration-version

Body

The new carrierId, planCode, and configuration version

NewProductConfigurationVersion

Notification that a new product or product configuration version is available.

* Additional properties are NOT allowed.
carrierIdstringrequired

CarrierId of the planCode that has a new configuration version.

planCodestringrequired

PlanCode that has a new configuration version. If this is a new planCode, latest configuration version tracking will begin for it.

newLatestConfigurationVersionstringrequired

The new latest configuration version for this planCode

Response

The notification was received and successfully processed.

post/rate-configuration/v1/notification/new-product-configuration-version

Body

{ "carrierId": "carrierId", "planCode": "planCode", "newLatestConfigurationVersion": "newLatestConfigurationVersion" }
 

RateRead

These endpoints are intended to be consumed by the Unified Calculation Service (UCS) to provide its rate configuration data

Retrieve the parameters for a benefit

Mirrors RateReadApi::parametersForBenefit — returns every parameter defined for the benefit, keyed by parameter name

get
https://dev.api.zinnia.io/rate-configuration/v1/parametersForBenefit/carriers/{carrierId}/products/{productId}/benefits/{benefitId}

Query Parameters

jurisdictionstring

Optional Jurisdiction to be provided in ISO format

Example:US-PA

fixedCostPeriodinteger(int32)

Optional fixed cost period

Default:0

Example:10

productVersionstring

Optional product version

Example:25.05.01.0

issueDatestring(date)

Optional issue date

Example:2026-03-20

Path Parameters

carrierIdstringrequired

The Carrier ID

Example:EVGL

productIdstringrequired

The Product ID

Example:EVGIUL001

benefitIdstringrequired

The Benefit ID

Example:Base_Coverage

Response

application/json

OK

object
get/rate-configuration/v1/parametersForBenefit/carriers/{carrierId}/products/{productId}/benefits/{benefitId}
 
application/json